MagickWand: pixel-wand.h File Reference

# pixel-wand.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _PixelWand | PixelWand
## Functions
WandExport char * | PixelGetColorAsNormalizedString (const PixelWand *)
WandExport char ** | PixelGetColorAsString (const PixelWand *)
WandExport char *** | PixelGetException (const PixelWand *, ExceptionType *)
WandExport double | PixelGetAlpha (const PixelWand *)
WandExport double | PixelGetBlack (const PixelWand *)
WandExport double | PixelGetBlue (const PixelWand *)
WandExport double | PixelGetCyan (const PixelWand *)
WandExport double | PixelGetFuzz (const PixelWand *)
WandExport double | PixelGetGreen (const PixelWand *)
WandExport double | PixelGetMagenta (const PixelWand *)
WandExport double | PixelGetOpacity (const PixelWand *)
WandExport double | PixelGetRed (const PixelWand *)
WandExport double | PixelGetYellow (const PixelWand *)
WandExport ExceptionType | PixelGetExceptionType (const PixelWand *)
WandExport IndexPacket | PixelGetIndex (const PixelWand *)
WandExport MagickBooleanType | IsPixelWand (const PixelWand *)
WandExport MagickBooleanType | IsPixelWandSimilar (PixelWand *, PixelWand *, const double)
WandExport MagickBooleanType | PixelClearException (PixelWand *)
WandExport MagickBooleanType | PixelSetColor (PixelWand *, const char *)
WandExport PixelWand * | ClonePixelWand (const PixelWand *)
WandExport PixelWand *** | ClonePixelWands (const PixelWand **, const unsigned long)
WandExport PixelWand **** | DestroyPixelWand (PixelWand *)
WandExport PixelWand ****** | DestroyPixelWands (PixelWand **, const unsigned long)
WandExport PixelWand ******* | NewPixelWand (void)
WandExport PixelWand ********* | NewPixelWands (const unsigned long)
WandExport Quantum | PixelGetAlphaQuantum (const PixelWand *)
WandExport Quantum | PixelGetBlackQuantum (const PixelWand *)
WandExport Quantum | PixelGetBlueQuantum (const PixelWand *)
WandExport Quantum | PixelGetCyanQuantum (const PixelWand *)
WandExport Quantum | PixelGetGreenQuantum (const PixelWand *)
WandExport Quantum | PixelGetMagentaQuantum (const PixelWand *)
WandExport Quantum | PixelGetOpacityQuantum (const PixelWand *)
WandExport Quantum | PixelGetRedQuantum (const PixelWand *)
WandExport Quantum | PixelGetYellowQuantum (const PixelWand *)
WandExport unsigned long | PixelGetColorCount (const PixelWand *)
WandExport void | ClearPixelWand (PixelWand *)
WandExport void | PixelGetHSL (const PixelWand *, double *, double *, double *)
WandExport void | PixelGetMagickColor (const PixelWand *, MagickPixelPacket *)
WandExport void | PixelGetQuantumColor (const PixelWand *, PixelPacket *)
WandExport void | PixelSetAlpha (PixelWand *, const double)
WandExport void | PixelSetAlphaQuantum (PixelWand *, const Quantum)
WandExport void | PixelSetBlack (PixelWand *, const double)
WandExport void | PixelSetBlackQuantum (PixelWand *, const Quantum)
WandExport void | PixelSetBlue (PixelWand *, const double)
WandExport void | PixelSetBlueQuantum (PixelWand *, const Quantum)
WandExport void | PixelSetColorFromWand (PixelWand *, const PixelWand *)
WandExport void | PixelSetColorCount (PixelWand *, const unsigned long)
WandExport void | PixelSetCyan (PixelWand *, const double)
WandExport void | PixelSetCyanQuantum (PixelWand *, const Quantum)
WandExport void | PixelSetFuzz (PixelWand *, const double)
WandExport void | PixelSetGreen (PixelWand *, const double)
WandExport void | PixelSetGreenQuantum (PixelWand *, const Quantum)
WandExport void | PixelSetHSL (PixelWand *, const double, const double, const double)
WandExport void | PixelSetIndex (PixelWand *, const IndexPacket)
WandExport void | PixelSetMagenta (PixelWand *, const double)
WandExport void | PixelSetMagentaQuantum (PixelWand *, const Quantum)
WandExport void | PixelSetMagickColor (PixelWand *, const MagickPixelPacket *)
WandExport void | PixelSetOpacity (PixelWand *, const double)
WandExport void | PixelSetOpacityQuantum (PixelWand *, const Quantum)
WandExport void | PixelSetQuantumColor (PixelWand *, const PixelPacket *)
WandExport void | PixelSetRed (PixelWand *, const double)
WandExport void | PixelSetRedQuantum (PixelWand *, const Quantum)
WandExport void | PixelSetYellow (PixelWand *, const double)
WandExport void | PixelSetYellowQuantum (PixelWand *, const Quantum)

## Typedef Documentation

typedef struct _PixelWand PixelWand

## Function Documentation

WandExport void ClearPixelWand | ( | PixelWand * |  | ) |

WandExport PixelWand* ClonePixelWand | ( | const PixelWand * |  | ) |

WandExport PixelWand* ** ClonePixelWands | ( | const PixelWand ** | ,
|  | const unsigned long |  |
| ) |  |  |

WandExport PixelWand* ** * DestroyPixelWand | ( | PixelWand * |  | ) |

WandExport PixelWand* ** * ** DestroyPixelWands | ( | PixelWand ** | ,
|  | const unsigned long |  |
| ) |  |  |

WandExport MagickBooleanType IsPixelWand | ( | const PixelWand * |  | ) |

WandExport MagickBooleanType IsPixelWandSimilar | ( | PixelWand * | ,
|  | PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport PixelWand* ** * ** * NewPixelWand | ( | void |  | ) |

WandExport PixelWand* ** * ** * ** NewPixelWands | ( | const unsigned | long | ) |

WandExport MagickBooleanType PixelClearException | ( | PixelWand * |  | ) |

WandExport double PixelGetAlpha | ( | const PixelWand * |  | ) |

WandExport Quantum PixelGetAlphaQuantum | ( | const PixelWand * |  | ) |

WandExport double PixelGetBlack | ( | const PixelWand * |  | ) |

WandExport Quantum PixelGetBlackQuantum | ( | const PixelWand * |  | ) |

WandExport double PixelGetBlue | ( | const PixelWand * |  | ) |

WandExport Quantum PixelGetBlueQuantum | ( | const PixelWand * |  | ) |

WandExport char* PixelGetColorAsNormalizedString | ( | const PixelWand * |  | ) |

WandExport char* * PixelGetColorAsString | ( | const PixelWand * |  | ) |

WandExport unsigned long PixelGetColorCount | ( | const PixelWand * |  | ) |

WandExport double PixelGetCyan | ( | const PixelWand * |  | ) |

WandExport Quantum PixelGetCyanQuantum | ( | const PixelWand * |  | ) |

WandExport char* * * PixelGetException | ( | const PixelWand * | ,
|  | ExceptionType * |  |
| ) |  |  |

WandExport ExceptionType PixelGetExceptionType | ( | const PixelWand * |  | ) |

WandExport double PixelGetFuzz | ( | const PixelWand * |  | ) |

WandExport double PixelGetGreen | ( | const PixelWand * |  | ) |

WandExport Quantum PixelGetGreenQuantum | ( | const PixelWand * |  | ) |

WandExport void PixelGetHSL | ( | const PixelWand * | ,
|  | double * | ,
|  | double * | ,
|  | double * |  |
| ) |  |  |

WandExport IndexPacket PixelGetIndex | ( | const PixelWand * |  | ) |

WandExport double PixelGetMagenta | ( | const PixelWand * |  | ) |

WandExport Quantum PixelGetMagentaQuantum | ( | const PixelWand * |  | ) |

WandExport void PixelGetMagickColor | ( | const PixelWand * | ,
|  | MagickPixelPacket * |  |
| ) |  |  |

WandExport double PixelGetOpacity | ( | const PixelWand * |  | ) |

WandExport Quantum PixelGetOpacityQuantum | ( | const PixelWand * |  | ) |

WandExport void PixelGetQuantumColor | ( | const PixelWand * | ,
|  | PixelPacket * |  |
| ) |  |  |

WandExport double PixelGetRed | ( | const PixelWand * |  | ) |

WandExport Quantum PixelGetRedQuantum | ( | const PixelWand * |  | ) |

WandExport double PixelGetYellow | ( | const PixelWand * |  | ) |

WandExport Quantum PixelGetYellowQuantum | ( | const PixelWand * |  | ) |

WandExport void PixelSetAlpha | ( | PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport void PixelSetAlphaQuantum | ( | PixelWand * | ,
|  | const | Quantum |
| ) |  |  |

WandExport void PixelSetBlack | ( | PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport void PixelSetBlackQuantum | ( | PixelWand * | ,
|  | const | Quantum |
| ) |  |  |

WandExport void PixelSetBlue | ( | PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport void PixelSetBlueQuantum | ( | PixelWand * | ,
|  | const | Quantum |
| ) |  |  |

WandExport MagickBooleanType PixelSetColor | ( | PixelWand * | ,
|  | const char * |  |
| ) |  |  |

WandExport void PixelSetColorCount | ( | PixelWand * | ,
|  | const unsigned long |  |
| ) |  |  |

WandExport void PixelSetColorFromWand | ( | PixelWand * | ,
|  | const PixelWand * |  |
| ) |  |  |

WandExport void PixelSetCyan | ( | PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport void PixelSetCyanQuantum | ( | PixelWand * | ,
|  | const | Quantum |
| ) |  |  |

WandExport void PixelSetFuzz | ( | PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport void PixelSetGreen | ( | PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport void PixelSetGreenQuantum | ( | PixelWand * | ,
|  | const | Quantum |
| ) |  |  |

WandExport void PixelSetHSL | ( | PixelWand * | ,
|  | const | double,
|  | const | double,
|  | const | double |
| ) |  |  |

WandExport void PixelSetIndex | ( | PixelWand * | ,
|  | const | IndexPacket |
| ) |  |  |

WandExport void PixelSetMagenta | ( | PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport void PixelSetMagentaQuantum | ( | PixelWand * | ,
|  | const | Quantum |
| ) |  |  |

WandExport void PixelSetMagickColor | ( | PixelWand * | ,
|  | const MagickPixelPacket * |  |
| ) |  |  |

WandExport void PixelSetOpacity | ( | PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport void PixelSetOpacityQuantum | ( | PixelWand * | ,
|  | const | Quantum |
| ) |  |  |

WandExport void PixelSetQuantumColor | ( | PixelWand * | ,
|  | const PixelPacket * |  |
| ) |  |  |

WandExport void PixelSetRed | ( | PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport void PixelSetRedQuantum | ( | PixelWand * | ,
|  | const | Quantum |
| ) |  |  |

WandExport void PixelSetYellow | ( | PixelWand * | ,
|  | const | double |
| ) |  |  |

WandExport void PixelSetYellowQuantum | ( | PixelWand * | ,
|  | const | Quantum |
| ) |  |  |